We advocate that the only route to provide universal, intelligible access to the minutiae of scholarship is the golden road: research materials need to be published as they are generated, while an article is being written. In other words, the sources of scientific research have to become integral components of research articles. Datasets, code, and workflows should not be thought or deposited as separate entities from articles. Rather, they should be considered for what they really are: not ancillary materials, but the very foundations upon which a research article is built.

The true problem at hand then lies in the format of the scholarly article. The articles we exchange today, even when in digital format (e.g., PDFs) are essentially image renderings (yes, photographs) of physical print papers. So, while most research materials are born-digital (e.g., the code to produce a plot is dynamic, editable and it is "executed" to generate a figure), the scholarly papers in which they are published are essentially static and analog. Traditional scholarly articles fail to communicate modern science, for they only provide a description of the surface of research. **Strikingly, scientists produce 21st century research, written up on 20th century tools, packaged in a 17th century format** 

One solution to improve the function and format of articles is to allow them to be rich, dynamic, multi-media objects: articles which can be "executed", in the same way code is executed to produce a plot. A reader perusing such an article would be able to interact with it, and extend upon it. For example, in addition to being able to download a statistical plot in the paper as an image, she would also be able to download its underlying data, and the workflows associated with the image, such as the R commands run to analyze the data, and the Python matplotlib scripts used to generate the plot. In other words, she would be able to "execute" these materials, such as data and code, and generate the plot thus reproducing the original research work of the authors. In addition to reproducing research, she should also be able to extend upon research, e.g., using the data and code behind a plot in her own way, giving birth to her own strand of research. In versioning control systems for source code, this function of borrowing someone's work (saving its provenance, thus giving credit to previous creators) is called "forking". Wouldn't science benefit from a similar forking feature for images, tables, equations, and code alike? If we think so, **if we truly believe in the vision of Open Science, then it is about time that we, scientists and scholars alike, undertake the golden road and begin writing articles in a new way.** 